For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
      • GETReturns all API users.
      • POSTCreates an API user.
      • GETReturns the API user with the specified id.
      • PUTUpdates the API user with the specified id.
      • DELDeletes the API user with the specified id.
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceAPI Users

Returns the API user with the specified id.

GET
https://api.awork.com/api/v1/apiusers/:apiUserId
GET
/api/v1/apiusers/:apiUserId
$curl https://api.awork.com/api/v1/apiusers/apiUserId \
> -H "Authorization: Bearer <token>"
1{
2 "name": "awork Connector",
3 "roleId": "123e4567-e89b-12d3-a456-426614174000",
4 "clientId": "awork-connector",
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "createdOn": "2024-01-15T09:30:00Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2024-01-15T09:30:00Z",
9 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
10}
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Updates the API user with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

apiUserIdstringRequiredformat: "uuid"
The id of the API user.

Response

OK
namestring>=1 character
The name of the API user.
roleIdstring or nullformat: "uuid"
The role the user should be in. If no role is specified, the user will become an admin.
clientIdstring or null
The client id this API user belongs to.
idstringformat: "uuid"
The id of the API user.
createdOnstringformat: "date-time"
The date this user was created.
createdBystringformat: "uuid"
The id of the user who created this user.
updatedOnstringformat: "date-time"
The date when this user was last updated.
updatedBystringformat: "uuid"
The id of the user who updated the entity.

Errors

404
Not Found Error